Armature en étrier Arch

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch Rebar Stirrup and the translation is 100% complete.

Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский

Arch Rebar Stirrup.svg Armature en étrier

Emplacement du menu
Arch → Rebar tools
Ateliers
Atelier architecture, BIM
Raccourci par défaut
Aucun
Introduit dans la version
0.17
Voir aussi
Armature hélicoïdale Arch, Armature personnalisée


Description

L'outil Armature cintrée permet à l'utilisateur de créer un ensemble de barres d'armature pliées à l'intérieur d'un objet Structure.

Cette commande fait partie du Addon Barres de renfort (armatures) que vous pouvez installer avec l'Addon manager via le menu Tools → Addon Manager → Reinforcement.

Arch Rebar Stirrup example.png

Un jeu de barres de ferraillage en étrié à l'intérieur d'une Structure


Comment faire

  1. Sélectionnez n’importe quelle face d’un objet créé précédemment Arch Structure.svg Arch Structure.
  2. Ensuite, sélectionnez Arch Rebar Stirrup.svg Stirrup Rebar dans les outils pour barres d'armature.
  3. Un panneau de tâches apparaîtra sur le côté gauche de l'écran comme indiqué ci-dessous.
  4. Sélectionnez l'orientation souhaitée.
  5. Indiquez les entrées telles que la face gauche, la face droite, la face supérieure, la face inférieure, la face avant, l’angle courbé, le facteur de courbure, l’arrondi et le diamètre de la barre.
  6. Sélectionnez le mode de distribution soit en montant ou en espacement.
  7. Si l'espacement est sélectionné, l'utilisateur peut également opter pour custom spacing.
  8. Choisir la face sélectionnée est utilisé pour vérifier ou modifier la face pour la distribution des barres.
  9. Cliquez sur OK ou Apply pour générer les barres d’arceau.
  10. Cliquez sur Cancel pour quitter le panneau de tâches.

StirrupDialog.png

Panneau d'affichage des tâches de l'outil Armature en étrier


Propriétés

  • DONNÉESFront Cover: La distance entre l'armature et la face sélectionnée.
  • DONNÉESRight Cover: La distance entre l'extrémité droite de l'armature et la face droite de la structure.
  • DONNÉESLeft Cover: La distance entre l'extrémité gauche de l'armature et la face gauche de la structure.
  • DONNÉESBottom Cover: La distance entre l'armature et la face inférieure de la structure.
  • DONNÉESTop Cover: La distance entre l'armature et la face supérieure de la structure.
  • DONNÉESBent Angle: L'angle de pliage définit l'angle aux extrémités d'un étrier.
  • DONNÉESBent Factor: Définit la longueur de l'extrémité de l'étrier.
  • DONNÉESAmount: La quantité de barres d'armature.
  • DONNÉESSpacing: La distance entre les axes de chaque barre.

Script

Voir aussi: Arch API, API de renforts et FreeCAD Scripts de Base.

L'outil Armature en étrier peut être utilisé dans une macro et depuis la console Python en utilisant la fonction suivante:

Rebar = makeStirrup(l_cover, r_cover, t_cover, b_cover, f_cover,
                    bentAngle, bentFactor, diameter, rounding, amount_spacing_check, amount_spacing_value,
                    structure=None, facename=None)
  • Crée un objet Rebar à partir de la structure donnée qui est une Arch Structure, et facename qui est une face de cette structure.
    • Si ni structure ni facename n'est donné, la face sélectionnée par l'utilisateur sera entrée.
  • l_cover, r_cover, t_cover, b_cover et f_cover sont des distances de décalage internes pour les éléments d'armature avec respect des faces de la structure. Ce sont respectivement les décalages gauche, droit, haut, bas et avant.
  • diameter est le diamètre des barres de renforcement à l'intérieur de la structure.
  • rounding est le paramètre qui détermine le rayon de courbure des barres d'armature lors de la création d'une boucle.
  • bentLength et bentAngle définissent la longueur et l'angle de la pointe de la boucle de ferraillage.
  • amount_spacing_check s'il est mis à True, il créera autant de boucles de renforcement que celles données par amount_spacing_spue; s'il est mis à False, il créera des boucles de renforcement séparées par la valeur numérique de amount_spacing_value.
  • amount_spacing_value spécifie le nombre de boucles de renforcement ou la valeur de la séparation entre elles, en fonction de amount_spacing_check.

Exemple

import Draft, Arch, Stirrup

# It doesn't work if the structure is not based on a face
# Structure = Arch.makeStructure(length=1000, width=400, height=400)

Rect = Draft.makeRectangle(400, 400)
Structure = Arch.makeStructure(Rect, height=1600)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

Rebar = Stirrup.makeStirrup(20, 20, 20, 20, 20,
                            115, 4, 8, 2, True, 10, Structure, "Face6")

Édition de la barre d’armement

Vous pouvez changer les propriétés de la barre d’armement avec la fonction suivante.

editStirrup(Rebar, l_cover, r_cover, t_cover, b_cover, f_cover,
            bentAngle, bentFactor, diameter, rounding, amount_spacing_check, amount_spacing_value,
            structure=None, facename=None)
  • Rebar est un objet StirrupRebar créé précédemment.
  • Les autres paramètres sont les mêmes que ceux requis par la fonction makeStirrup().
  • structure et facename peuvent être omis afin que l'armature reste dans la structure d'origine.
import Stirrup

Stirrup.editStirrup(Rebar, 20, 20, 20, 20, 50,
                    100, 4, 14, 8, True, 8)